Bug 188866 - CVE-2006-1731 Cross-site scripting using .valueOf.call()
CVE-2006-1731 Cross-site scripting using .valueOf.call()
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
reported=20060412,source=mozilla,emba...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-13 00:04 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-28 10:35:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-04-13 00:04:41 EDT
Cross-site scripting using .valueOf.call()


moz_bug_r_a4 discovered that .valueOf.call() and .valueOf.apply() when
called with no arguments were returning the Object class prototype rather
than the caller's global window object. When called on a reachable property
of  another  window this provides a hook to get around the same-origin
protection, allowing an attacker to inject script into another window.

Cross-site script injection can be used to steal confidential data such as
cookies or passwords, or perform actions on the user's behalf. It can also
be used to alter the content of the other window which could be used to fool
a user into trusting bogus information or downloaded content.

Note: Thunderbird shares the JavaScript engine with Firefox and could be
vulnerable if JavaScript were to be enabled in mail. This is not the default
setting and we strongly discourage users from running JavaScript in mail.

Workaround

Disable JavaScript until a fixed version can be installed.

References

[1]https://bugzilla.mozilla.org/show_bug.cgi?id=327194
[2]https://bugzilla.mozilla.org/show_bug.cgi?id=290488


This issue also affects FC4
Comment 1 Josh Bressers 2006-04-24 09:08:52 EDT
Lifting embargo
Comment 2 Matěj Cepl 2007-07-18 13:28:04 EDT
Fedora Core 5 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora Core 6, or
Fedora 7, or Rawhide)? If this issue turns out to still be reproducible, please
let us know in this bug report.  If after a month's time we have not heard back
from you, we will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 3 Matěj Cepl 2007-08-28 10:35:17 EDT
We haven't got any reply to the last question about reproducability of the bug
with Fedora Core 6, Fedora 7, or Fedora devel. Mass closing this bug, so if you
have new information that would help us fix this bug, please reopen it with the
additional information.

Note You need to log in before you can comment on or make changes to this bug.